# MPE_Print_datatype_pack_action

Prints the operations performed in an pack of a datatype

## Synopsis

    int MPE_Print_datatype_pack_action( fp, count, type, in_offset, out_offset )
    FILE         *fp;
    int          count;
    MPI_Datatype type;
    int          in_offset, out_offset;

## Input Parameters

| fp | FILE pointer for output
| count | Count of datatype
| type | MPI Datatype
| in_offset,out_offset | offsets for input and output buffer. Should be 0 for most uses.

## Notes

This prints on the selected file the operations that the MPICH implementation will take when packing a buffer.

Location:examine.c